Bug 242602 - mail/ssmtp Mention AuthUser/Pass in sample configuration file
Summary: mail/ssmtp Mention AuthUser/Pass in sample configuration file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-12 14:21 UTC by Jan-Piet Mens
Modified: 2020-03-05 16:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (aragon)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Piet Mens 2019-12-12 14:21:48 UTC
The example file ssmtp.conf.sample does not at all mention either STARTTLS or authentication for target MTAs, something which I assume is needed by many people.

Would it be a good idea to at least add, in comments, an indication thereof? Something along these lines, maybe:

--- ssmtp.conf.sample   2019-11-15 16:44:44.000000000 +0000
+++ ssmtp.conf.sample.new       2019-12-12 14:18:53.946701000 +0000
@@ -41,3 +41,11 @@
 # If you want to have debugging of the config file parsing, move this option
 # to the top of the config file and uncomment
 #Debug=YES
+
+# Use these parameters for securely authenticating against your
+# mailhub; check ssmtp.conf(5) for further details.
+
+# UseSTARTTLS=YES
+# AuthUser=you@yourdomain.com
+# AuthPass=your-secret-password
+


I'd also like to point out that the home page for ssmtp as recorded at [1] is
no longer valid and seems to have moved to https://packages.qa.debian.org/s/ssmtp.html
Comment 1 Mateusz Piotrowski freebsd_committer 2020-03-05 16:23:17 UTC
(In reply to Jan-Piet Mens from comment #0)

The patch should ideally be upstreamed.
Comment 2 commit-hook freebsd_committer 2020-03-05 16:26:37 UTC
A commit references this bug:

Author: 0mp
Date: Thu Mar  5 16:26:22 UTC 2020
New revision: 527841
URL: https://svnweb.freebsd.org/changeset/ports/527841

Log:
  Mention AuthUser/Pass in sample configuration file

  The example file ssmtp.conf.sample does not at all mention either STARTTLS
  or authentication for target MTAs. This patch fixes that.

  Also, update WWW.

  PR:		242602
  Submitted by:	Jan-Piet Mens <ports@jpmens.net>
  Approved by:	aragon@phat.za.net (maintainer timeout)

Changes:
  head/mail/ssmtp/Makefile
  head/mail/ssmtp/files/patch-ssmtp.conf
  head/mail/ssmtp/pkg-descr
Comment 3 Mateusz Piotrowski freebsd_committer 2020-03-05 16:26:49 UTC
Committed. Thanks!
Comment 4 Jan-Piet Mens 2020-03-05 16:27:53 UTC
(In reply to Mateusz Piotrowski from comment #1)

I sent a message to the author in December, but it wasn't responded to.